/* 
 * File : dlCmdResTimer.C
 *
 * Description : This file contains the class definition for
 * the dlCmdResTimer class.
 */

#include "layer.h"
#include "errorCodes.h"
#include "dlCmdResTimer.h"

/*
 * Function : ~dlCmdResTimer()
 * 
 * Description : This is the destructor. Does nothing.
 */ 

dlCmdResTimer::~dlCmdResTimer()
{
}
/*
 * Function : EventCallback()
 *
 * Description : This function is redefined. It invokes
 * a primitive on the data-link layer (_layer). The
 * primitive is identified by _cmd.
 */

void
dlCmdResTimer::EventCallback()
{
	int errorCode = codeSuccessful;
	_dl->Command(_cmd,errorCode);	
}

